DuplicateFilter (Lucene 2.4.1 API)
Keywords: org.apache.lucene.search.DuplicateFilter class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.search
Class DuplicateFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.apache.lucene.search.DuplicateFilter

All Implemented Interfaces:
  Serializable

    public class DuplicateFilter

extends Filter

See Also:
  Serialized Form

Field Summary
`static int` | `KM_USE_FIRST_OCCURRENCE`
`static int` | `KM_USE_LAST_OCCURRENCE`
`static int` | `PM_FAST_INVALIDATION`
`static int` | `PM_FULL_VALIDATION`

Constructor Summary
`DuplicateFilter(String fieldName)`
`DuplicateFilter(String fieldName, int keepMode, int processingMode)`

Method Summary
`boolean` | `equals(Object obj)`
`DocIdSet` | `getDocIdSet(IndexReader reader)`
`String` | `getFieldName()`
`int` | `getKeepMode()`
`int` | `getProcessingMode()`
`int` | `hashCode()`
`static void` | `main(String[] args)`
`void` | `setFieldName(String fieldName)`
`void` | `setKeepMode(int keepMode)`
`void` | `setProcessingMode(int processingMode)`

Methods inherited from class org.apache.lucene.search.Filter
`bits`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### KM_USE_FIRST_OCCURRENCE

    public static final int KM_USE_FIRST_OCCURRENCE

See Also:
  Constant Field Values

### KM_USE_LAST_OCCURRENCE

    public static final int KM_USE_LAST_OCCURRENCE

See Also:
  Constant Field Values

### PM_FULL_VALIDATION

    public static final int PM_FULL_VALIDATION

See Also:
  Constant Field Values

### PM_FAST_INVALIDATION

    public static final int PM_FAST_INVALIDATION

See Also:
  Constant Field Values

Constructor Detail

### DuplicateFilter

    public DuplicateFilter(String fieldName)

### DuplicateFilter

    public DuplicateFilter(String fieldName,
                           int keepMode,
                           int processingMode)

Method Detail

### getDocIdSet

    public DocIdSet getDocIdSet(IndexReader reader)
                         throws IOException

  Overrides:
    `getDocIdSet` in class `Filter`
  Returns:
    a DocIdSet that provides the documents which should be permitted or prohibited in search results.
  Throws:
    `IOException`
  See Also:
    `DocIdBitSet`

### main

    public static void main(String[] args)
                     throws Exception

  Parameters:
    `args` -
  Throws:
    `IOException`
    `Exception`

### getFieldName

    public String getFieldName()

### setFieldName

    public void setFieldName(String fieldName)

### getKeepMode

    public int getKeepMode()

### setKeepMode

    public void setKeepMode(int keepMode)

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### getProcessingMode

    public int getProcessingMode()

### setProcessingMode

    public void setProcessingMode(int processingMode)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.